Bug 808607 - Python exception while yum upgrade: bad operand type for unary
Python exception while yum upgrade: bad operand type for unary
Status: CLOSED DUPLICATE of bug 808130
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 16:09 EDT by Stef Walter
Modified: 2014-01-21 18:21 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-01 07:00:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Walter 2012-03-30 16:09:10 EDT
Got the following exception while doing a 'yum upgrade'

Installed Packages
Name        : yum
Arch        : noarch
Version     : 3.4.3
Release     : 18.fc17

[stef@stef-desktop ~]$ sudo yum upgrade
[sudo] password for stef: 
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
---> Package NetworkManager.x86_64 1:0.9.3.997-1.git20120321.fc17 will be updated
---> Package NetworkManager.x86_64 1:0.9.4.0-1.git20120328.fc17 will be an update
---> Package NetworkManager-devel.x86_64 1:0.9.3.997-1.git20120321.fc17 will be updated
---> Package NetworkManager-devel.x86_64 1:0.9.4.0-1.git20120328.fc17 will be an update
---> Package NetworkManager-glib.x86_64 1:0.9.3.997-1.git20120321.fc17 will be updated
---> Package NetworkManager-glib.x86_64 1:0.9.4.0-1.git20120328.fc17 will be an update
---> Package NetworkManager-glib-devel.x86_64 1:0.9.3.997-1.git20120321.fc17 will be updated
---> Package NetworkManager-glib-devel.x86_64 1:0.9.4.0-1.git20120328.fc17 will be an update
---> Package NetworkManager-gnome.x86_64 1:0.9.3.997-1.git20120321.fc17 will be updated
---> Package NetworkManager-gnome.x86_64 1:0.9.4.0-1.git20120328.fc17 will be an update
---> Package NetworkManager-gtk.x86_64 1:0.9.3.997-1.git20120321.fc17 will be updated
---> Package NetworkManager-gtk.x86_64 1:0.9.4.0-1.git20120328.fc17 will be an update
---> Package abattis-cantarell-fonts.noarch 0:0.0.7-2.fc17 will be updated
---> Package abattis-cantarell-fonts.noarch 0:0.0.8-1.fc17 will be an update
---> Package accountsservice.x86_64 0:0.6.15-4.fc17 will be updated
---> Package accountsservice.x86_64 0:0.6.17-1.fc17 will be an update
---> Package accountsservice-libs.x86_64 0:0.6.15-4.fc17 will be updated
---> Package accountsservice-libs.x86_64 0:0.6.17-1.fc17 will be an update
---> Package adwaita-cursor-theme.noarch 0:3.3.92-1.fc17 will be updated
---> Package adwaita-cursor-theme.noarch 0:3.4.0-1.fc17 will be an update
---> Package adwaita-gtk2-theme.x86_64 0:3.3.92-1.fc17 will be updated
---> Package adwaita-gtk2-theme.x86_64 0:3.4.0-1.fc17 will be an update
---> Package adwaita-gtk3-theme.x86_64 0:3.3.92-1.fc17 will be updated
---> Package adwaita-gtk3-theme.x86_64 0:3.4.0-1.fc17 will be an update
---> Package anaconda.x86_64 0:17.15-1.fc17 will be updated
---> Package anaconda.x86_64 0:17.16-1.fc17 will be an update
---> Package at-spi2-atk.x86_64 0:2.3.92-1.fc17 will be updated
---> Package at-spi2-atk.x86_64 0:2.4.0-1.fc17 will be an update
---> Package at-spi2-core.x86_64 0:2.3.92-1.fc17 will be updated
---> Package at-spi2-core.x86_64 0:2.4.0-1.fc17 will be an update
---> Package atk.x86_64 0:2.3.95-1.fc17 will be updated
---> Package atk.x86_64 0:2.4.0-1.fc17 will be an update
---> Package atk-devel.x86_64 0:2.3.95-1.fc17 will be updated
---> Package atk-devel.x86_64 0:2.4.0-1.fc17 will be an update
---> Package brasero.x86_64 0:3.3.92-1.fc17 will be updated
---> Package brasero.x86_64 0:3.4.0-1.fc17 will be an update
---> Package brasero-libs.x86_64 0:3.3.92-1.fc17 will be updated
---> Package brasero-libs.x86_64 0:3.4.0-1.fc17 will be an update
---> Package brasero-nautilus.x86_64 0:3.3.92-1.fc17 will be updated
---> Package brasero-nautilus.x86_64 0:3.4.0-1.fc17 will be an update
---> Package cheese.x86_64 2:3.3.92-1.fc17 will be updated
---> Package cheese.x86_64 2:3.4.0-1.fc17 will be an update
---> Package cheese-libs.x86_64 2:3.3.92-1.fc17 will be updated
---> Package cheese-libs.x86_64 2:3.4.0-1.fc17 will be an update
---> Package clutter.x86_64 0:1.10.0-1.fc17 will be updated
---> Package clutter.x86_64 0:1.10.0-2.fc17 will be an update
---> Package clutter-devel.x86_64 0:1.10.0-1.fc17 will be updated
---> Package clutter-devel.x86_64 0:1.10.0-2.fc17 will be an update
---> Package colord.x86_64 0:0.1.18-1.fc17 will be updated
---> Package colord.x86_64 0:0.1.18-2.fc17 will be an update
---> Package control-center.x86_64 1:3.3.92-1.fc17 will be updated
---> Package control-center.x86_64 1:3.4.0-1.fc17 will be an update
---> Package control-center-filesystem.x86_64 1:3.3.92-1.fc17 will be updated
---> Package control-center-filesystem.x86_64 1:3.4.0-1.fc17 will be an update
---> Package cups.x86_64 1:1.5.2-8.fc17 will be updated
---> Package cups.x86_64 1:1.5.2-10.fc17 will be an update
---> Package cups-devel.x86_64 1:1.5.2-8.fc17 will be updated
---> Package cups-devel.x86_64 1:1.5.2-10.fc17 will be an update
---> Package cups-libs.x86_64 1:1.5.2-8.fc17 will be updated
---> Package cups-libs.x86_64 1:1.5.2-10.fc17 will be an update
---> Package dconf.x86_64 0:0.11.7-1.fc17 will be updated
---> Package dconf.x86_64 0:0.12.0-1.fc17 will be an update
---> Package devhelp.x86_64 1:3.3.91-1.fc17 will be updated
---> Package devhelp.x86_64 1:3.4.0-1.fc17 will be an update
---> Package device-mapper.x86_64 0:1.02.74-5.fc17 will be updated
---> Package device-mapper.x86_64 0:1.02.74-6.fc17 will be an update
---> Package device-mapper-devel.x86_64 0:1.02.74-5.fc17 will be updated
---> Package device-mapper-devel.x86_64 0:1.02.74-6.fc17 will be an update
---> Package device-mapper-event.x86_64 0:1.02.74-5.fc17 will be updated
---> Package device-mapper-event.x86_64 0:1.02.74-6.fc17 will be an update
---> Package device-mapper-event-devel.x86_64 0:1.02.74-5.fc17 will be updated
---> Package device-mapper-event-devel.x86_64 0:1.02.74-6.fc17 will be an update
---> Package device-mapper-event-libs.x86_64 0:1.02.74-5.fc17 will be updated
---> Package device-mapper-event-libs.x86_64 0:1.02.74-6.fc17 will be an update
---> Package device-mapper-libs.x86_64 0:1.02.74-5.fc17 will be updated
---> Package device-mapper-libs.x86_64 0:1.02.74-6.fc17 will be an update
---> Package empathy.x86_64 0:3.3.92-1.fc17 will be updated
---> Package empathy.x86_64 0:3.4.0-1.fc17 will be an update
---> Package eog.x86_64 0:3.3.92-1.fc17 will be updated
---> Package eog.x86_64 0:3.4.0-1.fc17 will be an update
---> Package epiphany.x86_64 1:3.3.92-1.fc17 will be updated
---> Package epiphany.x86_64 1:3.4.0.1-1.fc17 will be an update
---> Package evince.x86_64 0:3.3.92-1.fc17 will be updated
---> Package evince.x86_64 0:3.4.0-1.fc17 will be an update
---> Package evince-libs.x86_64 0:3.3.92-1.fc17 will be updated
---> Package evince-libs.x86_64 0:3.4.0-1.fc17 will be an update
---> Package evince-nautilus.x86_64 0:3.3.92-1.fc17 will be updated
---> Package evince-nautilus.x86_64 0:3.4.0-1.fc17 will be an update
---> Package fedora-release-notes.noarch 0:16.95.0-1.fc17 will be updated
---> Package fedora-release-notes.noarch 0:16.96.0-1.fc17 will be an update
---> Package file-roller.x86_64 0:3.3.92-1.fc17 will be updated
---> Package file-roller.x86_64 0:3.4.0-1.fc17 will be an update
---> Package file-roller-nautilus.x86_64 0:3.3.92-1.fc17 will be updated
---> Package file-roller-nautilus.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gcalctool.x86_64 0:6.3.92.1-1.fc17 will be updated
---> Package gcalctool.x86_64 0:6.4.0-1.fc17 will be an update
---> Package gcr.x86_64 0:3.3.92-2.fc17 will be updated
---> Package gcr.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gdm.x86_64 1:3.3.92.1-1.fc17 will be updated
---> Package gdm.x86_64 1:3.4.0.1-1.fc17 will be an update
---> Package gedit.x86_64 2:3.3.8-1.fc17 will be updated
---> Package gedit.x86_64 2:3.4.0-1.fc17 will be an update
---> Package gjs.x86_64 0:1.31.22-1.fc17 will be updated
---> Package gjs.x86_64 0:1.32.0-1.fc17 will be an update
---> Package gjs-devel.x86_64 0:1.31.22-1.fc17 will be updated
---> Package gjs-devel.x86_64 0:1.32.0-1.fc17 will be an update
---> Package glib-networking.x86_64 0:2.31.22-1.fc17 will be updated
---> Package glib-networking.x86_64 0:2.32.0-1.fc17 will be an update
---> Package glib2.i686 0:2.31.22-1.fc17 will be updated
---> Package glib2.x86_64 0:2.31.22-1.fc17 will be updated
---> Package glib2.i686 0:2.32.0-1.fc17 will be an update
---> Package glib2.x86_64 0:2.32.0-1.fc17 will be an update
---> Package glib2-devel.x86_64 0:2.31.22-1.fc17 will be updated
---> Package glib2-devel.x86_64 0:2.32.0-1.fc17 will be an update
---> Package gnome-backgrounds.noarch 0:3.3.92-1.fc17 will be updated
---> Package gnome-backgrounds.noarch 0:3.4.0-1.fc17 will be an update
---> Package gnome-bluetooth.x86_64 1:3.3.92-1.fc17 will be updated
---> Package gnome-bluetooth.x86_64 1:3.4.0-1.fc17 will be an update
---> Package gnome-bluetooth-libs.x86_64 1:3.3.92-1.fc17 will be updated
---> Package gnome-bluetooth-libs.x86_64 1:3.4.0-1.fc17 will be an update
---> Package gnome-bluetooth-libs-devel.x86_64 1:3.3.92-1.fc17 will be updated
---> Package gnome-bluetooth-libs-devel.x86_64 1:3.4.0-1.fc17 will be an update
---> Package gnome-boxes.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-boxes.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-color-manager.x86_64 0:3.3.5-3.fc17 will be updated
---> Package gnome-color-manager.x86_64 0:3.4.0-1.fc17 will be an update
--> Processing Dependency: argyllcms for package: gnome-color-manager-3.4.0-1.fc17.x86_64
---> Package gnome-common.noarch 0:3.1.0-2.fc17 will be updated
---> Package gnome-common.noarch 0:3.4.0.1-1.fc17 will be an update
---> Package gnome-contacts.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-contacts.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-desktop3.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-desktop3.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-doc-utils.noarch 0:0.20.9-1.fc17 will be updated
---> Package gnome-doc-utils.noarch 0:0.20.10-1.fc17 will be an update
---> Package gnome-doc-utils-stylesheets.noarch 0:0.20.9-1.fc17 will be updated
---> Package gnome-doc-utils-stylesheets.noarch 0:0.20.10-1.fc17 will be an update
---> Package gnome-documents.x86_64 0:0.3.92-4.fc17 will be updated
---> Package gnome-documents.x86_64 0:0.4.0.1-1.fc17 will be an update
---> Package gnome-games.x86_64 1:3.3.92-1.fc17 will be updated
---> Package gnome-games.x86_64 1:3.4.0-2.fc17 will be an update
---> Package gnome-icon-theme.noarch 0:3.3.91-1.fc17 will be updated
---> Package gnome-icon-theme.noarch 0:3.4.0-1.fc17 will be an update
---> Package gnome-icon-theme-extras.noarch 0:3.0.0-3.fc17 will be updated
---> Package gnome-icon-theme-extras.noarch 0:3.4.0-1.fc17 will be an update
---> Package gnome-icon-theme-legacy.noarch 0:3.3.91-1.fc17 will be updated
---> Package gnome-icon-theme-legacy.noarch 0:3.4.0-1.fc17 will be an update
---> Package gnome-icon-theme-symbolic.noarch 0:3.3.91.1-1.fc17 will be updated
---> Package gnome-icon-theme-symbolic.noarch 0:3.4.0-1.fc17 will be an update
---> Package gnome-keyring.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-keyring.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-keyring-pam.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-keyring-pam.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-media.x86_64 0:2.91.2-9.fc17 will be updated
---> Package gnome-media.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-menus.x86_64 0:3.3.5-2.fc17 will be updated
---> Package gnome-menus.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-menus-devel.x86_64 0:3.3.5-2.fc17 will be updated
---> Package gnome-menus-devel.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-online-accounts.x86_64 0:3.3.92.1-1.fc17 will be updated
---> Package gnome-online-accounts.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-online-accounts-devel.x86_64 0:3.3.92.1-1.fc17 will be updated
---> Package gnome-online-accounts-devel.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-packagekit.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-packagekit.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-panel.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-panel.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-panel-libs.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-panel-libs.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-power-manager.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-power-manager.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-screensaver.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-screensaver.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-screenshot.x86_64 0:3.3.91-1.fc17 will be updated
---> Package gnome-screenshot.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-session.x86_64 0:3.3.92-2.fc17 will be updated
---> Package gnome-session.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-session-xsession.x86_64 0:3.3.92-2.fc17 will be updated
---> Package gnome-session-xsession.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-settings-daemon.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-settings-daemon.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-shell.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-shell.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-system-monitor.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-system-monitor.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-terminal.x86_64 0:3.3.0-1.fc17 will be updated
---> Package gnome-terminal.x86_64 0:3.4.0.1-1.fc17 will be an update
---> Package gnome-themes-standard.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gnome-themes-standard.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gnome-user-docs.noarch 0:3.2.2-2.fc17 will be updated
---> Package gnome-user-docs.noarch 0:3.4.0-2.fc17 will be an update
---> Package gobject-introspection.x86_64 0:1.31.22-1.fc17 will be updated
---> Package gobject-introspection.x86_64 0:1.32.0-1.fc17 will be an update
---> Package gobject-introspection-devel.x86_64 0:1.31.22-1.fc17 will be updated
---> Package gobject-introspection-devel.x86_64 0:1.32.0-1.fc17 will be an update
---> Package gpxe-roms-qemu.noarch 0:1.0.1-6.fc17 will be obsoleted
---> Package gsettings-desktop-schemas.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gsettings-desktop-schemas.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gsettings-desktop-schemas-devel.x86_64 0:3.3.92-1.fc17 will be updated
---> Package gsettings-desktop-schemas-devel.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gtk3.x86_64 0:3.3.20-1.fc17 will be updated
---> Package gtk3.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gtk3-devel.x86_64 0:3.3.20-1.fc17 will be updated
---> Package gtk3-devel.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gtk3-devel-docs.x86_64 0:3.3.20-1.fc17 will be updated
---> Package gtk3-devel-docs.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gtk3-immodule-xim.x86_64 0:3.3.20-1.fc17 will be updated
---> Package gtk3-immodule-xim.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gtksourceview3.x86_64 0:3.3.5-1.fc17 will be updated
---> Package gtksourceview3.x86_64 0:3.4.0-1.fc17 will be an update
---> Package gucharmap.x86_64 0:3.3.1-2.fc17 will be updated
---> Package gucharmap.x86_64 0:3.4.0.1-1.fc17 will be an update
---> Package gvfs.x86_64 0:1.11.5-1.fc17 will be updated
---> Package gvfs.x86_64 0:1.12.0-1.fc17 will be an update
---> Package gvfs-afc.x86_64 0:1.11.5-1.fc17 will be updated
---> Package gvfs-afc.x86_64 0:1.12.0-1.fc17 will be an update
---> Package gvfs-archive.x86_64 0:1.11.5-1.fc17 will be updated
---> Package gvfs-archive.x86_64 0:1.12.0-1.fc17 will be an update
---> Package gvfs-fuse.x86_64 0:1.11.5-1.fc17 will be updated
---> Package gvfs-fuse.x86_64 0:1.12.0-1.fc17 will be an update
---> Package gvfs-gphoto2.x86_64 0:1.11.5-1.fc17 will be updated
---> Package gvfs-gphoto2.x86_64 0:1.12.0-1.fc17 will be an update
---> Package gvfs-obexftp.x86_64 0:1.11.5-1.fc17 will be updated
---> Package gvfs-obexftp.x86_64 0:1.12.0-1.fc17 will be an update
---> Package gvfs-smb.x86_64 0:1.11.5-1.fc17 will be updated
---> Package gvfs-smb.x86_64 0:1.12.0-1.fc17 will be an update
---> Package ipxe-roms-qemu.noarch 0:20120328-1.gitaac9718.fc17 will be obsoleting
---> Package jpackage-utils.x86_64 0:1.7.5-16.fc17 will be updated
---> Package jpackage-utils.x86_64 0:1.7.5-17.fc17 will be an update
---> Package kernel.x86_64 0:3.3.0-8.fc17 will be installed
---> Package kernel-devel.x86_64 0:3.3.0-8.fc17 will be installed
---> Package kernel-headers.x86_64 0:3.3.0-5.fc17 will be updated
---> Package kernel-headers.x86_64 0:3.3.0-8.fc17 will be an update
---> Package libchamplain.x86_64 0:0.12.1-5.fc17 will be updated
---> Package libchamplain.x86_64 0:0.12.2-1.fc17 will be an update
---> Package libchamplain-gtk.x86_64 0:0.12.1-5.fc17 will be updated
---> Package libchamplain-gtk.x86_64 0:0.12.2-1.fc17 will be an update
---> Package libcroco.x86_64 0:0.6.4-1.fc17 will be updated
---> Package libcroco.x86_64 0:0.6.5-1.fc17 will be an update
---> Package libcroco-devel.x86_64 0:0.6.4-1.fc17 will be updated
---> Package libcroco-devel.x86_64 0:0.6.5-1.fc17 will be an update
---> Package libgnome-keyring.x86_64 0:3.3.92-1.fc17 will be updated
---> Package libgnome-keyring.x86_64 0:3.4.0-1.fc17 will be an update
---> Package libgnome-keyring-devel.x86_64 0:3.3.92-1.fc17 will be updated
---> Package libgnome-keyring-devel.x86_64 0:3.4.0-1.fc17 will be an update
---> Package libgnomekbd.x86_64 0:3.3.90-1.fc17 will be updated
---> Package libgnomekbd.x86_64 0:3.4.0.2-1.fc17 will be an update
---> Package libnotify.x86_64 0:0.7.4-2.fc17 will be updated
---> Package libnotify.x86_64 0:0.7.5-1.fc17 will be an update
---> Package libpciaccess.i686 0:0.12.902-5.fc17 will be updated
---> Package libpciaccess.x86_64 0:0.12.902-5.fc17 will be updated
---> Package libpciaccess.i686 0:0.13-2.fc17 will be an update
---> Package libpciaccess.x86_64 0:0.13-2.fc17 will be an update
---> Package libpciaccess-devel.x86_64 0:0.12.902-5.fc17 will be updated
---> Package libpciaccess-devel.x86_64 0:0.13-2.fc17 will be an update
---> Package libpeas.x86_64 0:1.3.0-1.fc17 will be updated
---> Package libpeas.x86_64 0:1.4.0-1.fc17 will be an update
---> Package libquvi.x86_64 0:0.4.0-6.fc17 will be updated
---> Package libquvi.x86_64 0:0.4.1-1.fc17 will be an update
---> Package libquvi-scripts.noarch 0:0.4.3-1.fc17 will be updated
---> Package libquvi-scripts.noarch 0:0.4.4-1.fc17 will be an update
---> Package librsvg2.x86_64 0:2.35.2-1.fc17 will be updated
---> Package librsvg2.x86_64 0:2.36.0-1.fc17 will be an update
---> Package libsepol.x86_64 0:2.1.4-6.fc17 will be updated
---> Package libsepol.x86_64 0:2.1.5-1.fc17 will be an update
---> Package libsepol-devel.x86_64 0:2.1.4-6.fc17 will be updated
---> Package libsepol-devel.x86_64 0:2.1.5-1.fc17 will be an update
---> Package libsoup.x86_64 0:2.37.92-1.fc17 will be updated
---> Package libsoup.x86_64 0:2.38.0-1.fc17 will be an update
---> Package libsoup-devel.x86_64 0:2.37.92-1.fc17 will be updated
---> Package libsoup-devel.x86_64 0:2.38.0-1.fc17 will be an update
---> Package libvirt.x86_64 0:0.9.10-2.fc17 will be updated
---> Package libvirt.x86_64 0:0.9.10-2.fc17.1 will be an update
---> Package libvirt-client.x86_64 0:0.9.10-2.fc17 will be updated
---> Package libvirt-client.x86_64 0:0.9.10-2.fc17.1 will be an update
---> Package libvirt-python.x86_64 0:0.9.10-2.fc17 will be updated
---> Package libvirt-python.x86_64 0:0.9.10-2.fc17.1 will be an update
---> Package libwacom.x86_64 0:0.3-6.fc17 will be updated
---> Package libwacom.x86_64 0:0.4-1.fc17 will be an update
---> Package libwacom-data.noarch 0:0.3-6.fc17 will be updated
---> Package libwacom-data.noarch 0:0.4-1.fc17 will be an update
---> Package libwacom-devel.x86_64 0:0.3-6.fc17 will be updated
---> Package libwacom-devel.x86_64 0:0.4-1.fc17 will be an update
---> Package libwnck3.x86_64 0:3.3.5-1.fc17 will be updated
---> Package libwnck3.x86_64 0:3.4.0-1.fc17 will be an update
---> Package lvm2.x86_64 0:2.02.95-5.fc17 will be updated
---> Package lvm2.x86_64 0:2.02.95-6.fc17 will be an update
---> Package lvm2-libs.x86_64 0:2.02.95-5.fc17 will be updated
---> Package lvm2-libs.x86_64 0:2.02.95-6.fc17 will be an update
---> Package mesa-dri-drivers.i686 0:8.0.1-7.fc17 will be updated
--> Processing Dependency: libglapi.so.0 for package: mesa-libGL-8.0.1-9.fc17.i686
--> Processing Dependency: libglapi.so.0 for package: mesa-libGLES-8.0.1-9.fc17.i686
---> Package mesa-dri-drivers.x86_64 0:8.0.1-7.fc17 will be updated
--> Processing Dependency: libglapi.so.0()(64bit) for package: mesa-libGL-8.0.1-9.fc17.x86_64
--> Processing Dependency: libglapi.so.0()(64bit) for package: mesa-libGLES-8.0.1-9.fc17.x86_64
--> Processing Dependency: libglapi.so.0()(64bit) for package: mesa-libGL-devel-8.0.1-9.fc17.x86_64
---> Package mesa-dri-drivers.i686 0:8.0.1-9.fc17 will be an update
---> Package mesa-dri-drivers.x86_64 0:8.0.1-9.fc17 will be an update
---> Package mesa-dri-filesystem.i686 0:8.0.1-7.fc17 will be updated
---> Package mesa-dri-filesystem.x86_64 0:8.0.1-7.fc17 will be updated
---> Package mesa-dri-filesystem.i686 0:8.0.1-9.fc17 will be an update
---> Package mesa-dri-filesystem.x86_64 0:8.0.1-9.fc17 will be an update
---> Package mesa-libGL.i686 0:8.0.1-7.fc17 will be updated
---> Package mesa-libGL.x86_64 0:8.0.1-7.fc17 will be updated
---> Package mesa-libGL.i686 0:8.0.1-9.fc17 will be an update
---> Package mesa-libGL.x86_64 0:8.0.1-9.fc17 will be an update
---> Package mesa-libGL-devel.x86_64 0:8.0.1-7.fc17 will be updated
---> Package mesa-libGL-devel.x86_64 0:8.0.1-9.fc17 will be an update
---> Package mesa-libGLES.i686 0:8.0.1-7.fc17 will be updated
---> Package mesa-libGLES.x86_64 0:8.0.1-7.fc17 will be updated
---> Package mesa-libGLES.i686 0:8.0.1-9.fc17 will be an update
---> Package mesa-libGLES.x86_64 0:8.0.1-9.fc17 will be an update
---> Package mesa-libGLU.i686 0:8.0.1-7.fc17 will be updated
---> Package mesa-libGLU.x86_64 0:8.0.1-7.fc17 will be updated
---> Package mesa-libGLU.i686 0:8.0.1-9.fc17 will be an update
---> Package mesa-libGLU.x86_64 0:8.0.1-9.fc17 will be an update
---> Package mesa-libGLU-devel.x86_64 0:8.0.1-7.fc17 will be updated
---> Package mesa-libGLU-devel.x86_64 0:8.0.1-9.fc17 will be an update
---> Package mousetweaks.x86_64 0:3.3.92-1.fc17 will be updated
---> Package mousetweaks.x86_64 0:3.4.0-1.fc17 will be an update
---> Package mutter.x86_64 0:3.3.92-1.fc17 will be updated
---> Package mutter.x86_64 0:3.4.0-1.fc17 will be an update
---> Package mutter-devel.x86_64 0:3.3.92-1.fc17 will be updated
---> Package mutter-devel.x86_64 0:3.4.0-1.fc17 will be an update
---> Package nautilus.x86_64 0:3.3.92-1.fc17 will be updated
---> Package nautilus.x86_64 0:3.4.0-1.fc17 will be an update
---> Package nautilus-devel.x86_64 0:3.3.92-1.fc17 will be updated
---> Package nautilus-devel.x86_64 0:3.4.0-1.fc17 will be an update
---> Package nautilus-extensions.x86_64 0:3.3.92-1.fc17 will be updated
---> Package nautilus-extensions.x86_64 0:3.4.0-1.fc17 will be an update
---> Package notification-daemon.x86_64 0:0.7.3-3.fc17 will be updated
---> Package notification-daemon.x86_64 0:0.7.4-1.fc17 will be an update
---> Package orca.x86_64 0:3.3.92-1.fc17 will be updated
---> Package orca.x86_64 0:3.4.0-1.fc17 will be an update
---> Package os-prober.x86_64 0:1.48-3.fc17 will be updated
---> Package os-prober.x86_64 0:1.51-1.fc17 will be an update
---> Package p11-kit.i686 0:0.11-1.fc17 will be updated
---> Package p11-kit.x86_64 0:0.11-1.fc17 will be updated
---> Package p11-kit.i686 0:0.12-1.fc17 will be an update
---> Package p11-kit.x86_64 0:0.12-1.fc17 will be an update
---> Package p11-kit-devel.x86_64 0:0.11-1.fc17 will be updated
---> Package p11-kit-devel.x86_64 0:0.12-1.fc17 will be an update
---> Package pango.i686 0:1.29.5-2.fc17 will be updated
---> Package pango.x86_64 0:1.29.5-2.fc17 will be updated
---> Package pango.i686 0:1.30.0-1.fc17 will be an update
---> Package pango.x86_64 0:1.30.0-1.fc17 will be an update
---> Package pango-devel.x86_64 0:1.29.5-2.fc17 will be updated
---> Package pango-devel.x86_64 0:1.30.0-1.fc17 will be an update
---> Package phonon.x86_64 0:4.6.0-2.fc17 will be updated
---> Package phonon.x86_64 0:4.6.0-3.fc17 will be an update
---> Package pyatspi.noarch 0:2.3.92-1.fc17 will be updated
---> Package pyatspi.noarch 0:2.4.0-1.fc17 will be an update
---> Package pygobject3.x86_64 0:3.1.93-1.fc17 will be updated
---> Package pygobject3.x86_64 0:3.2.0-1.fc17 will be an update
---> Package python-iwlib.x86_64 0:1.1-2.fc17 will be updated
---> Package python-iwlib.x86_64 0:1.2-1.fc17 will be an update
---> Package qemu.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-common.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-common.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-img.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-img.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-kvm.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-kvm.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-system-arm.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-system-arm.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-system-cris.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-system-cris.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-system-m68k.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-system-m68k.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-system-mips.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-system-mips.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-system-sh4.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-system-sh4.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-system-x86.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-system-x86.x86_64 2:1.0-10.fc17 will be an update
---> Package qemu-user.x86_64 2:1.0-8.fc17 will be updated
---> Package qemu-user.x86_64 2:1.0-10.fc17 will be an update
---> Package rp-pppoe.x86_64 0:3.10-11.fc17 will be updated
---> Package rp-pppoe.x86_64 0:3.10-12.fc17 will be an update
---> Package seahorse.x86_64 0:3.3.92-1.fc17 will be updated
---> Package seahorse.x86_64 0:3.4.0-1.fc17 will be an update
---> Package setroubleshoot-plugins.noarch 0:3.0.35-1.fc17 will be updated
---> Package setroubleshoot-plugins.noarch 0:3.0.36-1.fc17 will be an update
---> Package simple-scan.x86_64 0:3.3.92-1.fc17 will be updated
---> Package simple-scan.x86_64 0:3.4.0-1.fc17 will be an update
---> Package sound-juicer.x86_64 0:3.3.90-1.fc17 will be updated
---> Package sound-juicer.x86_64 0:3.4.0-1.fc17 will be an update
---> Package sushi.x86_64 0:0.3.92-2.fc17 will be updated
---> Package sushi.x86_64 0:0.4.0-1.fc17 will be an update
---> Package thunderbird.x86_64 0:11.0-5.fc17 will be updated
---> Package thunderbird.x86_64 0:11.0.1-1.fc17 will be an update
---> Package totem.x86_64 1:3.3.92-1.fc17 will be updated
---> Package totem.x86_64 1:3.4.0-1.fc17 will be an update
---> Package totem-mozplugin.x86_64 1:3.3.92-1.fc17 will be updated
---> Package totem-mozplugin.x86_64 1:3.4.0-1.fc17 will be an update
---> Package totem-nautilus.x86_64 1:3.3.92-1.fc17 will be updated
---> Package totem-nautilus.x86_64 1:3.4.0-1.fc17 will be an update
---> Package totem-pl-parser.x86_64 0:3.3.92-1.fc17 will be updated
---> Package totem-pl-parser.x86_64 0:3.4.0-1.fc17 will be an update
---> Package vala.x86_64 0:0.15.2-1.fc17 will be updated
---> Package vala.x86_64 0:0.15.2-2.fc17 will be an update
---> Package vala-devel.x86_64 0:0.15.2-1.fc17 will be updated
---> Package vala-devel.x86_64 0:0.15.2-2.fc17 will be an update
---> Package vala-tools.x86_64 0:0.15.2-1.fc17 will be updated
---> Package vala-tools.x86_64 0:0.15.2-2.fc17 will be an update
---> Package vinagre.x86_64 0:3.3.92-1.fc17 will be updated
---> Package vinagre.x86_64 0:3.4.0-2.fc17 will be an update
---> Package vino.x86_64 0:3.3.92-1.fc17 will be updated
---> Package vino.x86_64 0:3.4.0-1.fc17 will be an update
---> Package webkitgtk.x86_64 0:1.6.3-2.fc17 will be updated
---> Package webkitgtk.x86_64 0:1.8.0-1.fc17 will be an update
---> Package webkitgtk3.x86_64 0:1.7.92-1.fc17 will be updated
---> Package webkitgtk3.x86_64 0:1.8.0-1.fc17 will be an update
---> Package webkitgtk3-devel.x86_64 0:1.7.92-1.fc17 will be updated
---> Package webkitgtk3-devel.x86_64 0:1.8.0-1.fc17 will be an update
---> Package xorg-x11-drv-ati.x86_64 0:6.14.3-11.20120206git36c190671.fc17 will be updated
---> Package xorg-x11-drv-ati.x86_64 0:6.14.3-12.20120206git36c190671.fc17 will be an update
---> Package xorg-x11-drv-evdev.x86_64 0:2.7.0-1.fc17 will be updated
---> Package xorg-x11-drv-evdev.x86_64 0:2.7.0-2.fc17 will be an update
---> Package yelp.x86_64 1:3.3.92-1.fc17 will be updated
---> Package yelp.x86_64 1:3.4.0-1.fc17 will be an update
---> Package yelp-devel.x86_64 1:3.3.92-1.fc17 will be updated
---> Package yelp-devel.x86_64 1:3.4.0-1.fc17 will be an update
---> Package yelp-libs.x86_64 1:3.3.92-1.fc17 will be updated
---> Package yelp-libs.x86_64 1:3.4.0-1.fc17 will be an update
---> Package yelp-tools.noarch 0:3.3.4-1.fc17 will be updated
---> Package yelp-tools.noarch 0:3.4.0-1.fc17 will be an update
---> Package yelp-xsl.noarch 0:3.3.92-1.fc17 will be updated
---> Package yelp-xsl.noarch 0:3.4.0-1.fc17 will be an update
---> Package yelp-xsl-devel.noarch 0:3.3.92-1.fc17 will be updated
---> Package yelp-xsl-devel.noarch 0:3.4.0-1.fc17 will be an update
---> Package yum-presto.noarch 0:0.7.2-1.fc17 will be updated
---> Package yum-presto.noarch 0:0.7.3-1.fc17 will be an update
---> Package zenity.x86_64 0:3.2.0-4.fc17 will be updated
---> Package zenity.x86_64 0:3.4.0-1.fc17 will be an update
--> Running transaction check
---> Package argyllcms.x86_64 0:1.3.6-2.fc17 will be installed
---> Package mesa-libglapi.i686 0:8.0.1-9.fc17 will be installed
---> Package mesa-libglapi.x86_64 0:8.0.1-9.fc17 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.3.0-0.rc7.git0.3.fc17 will be erased
---> Package kernel-devel.x86_64 0:3.3.0-0.rc7.git0.3.fc17 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                         Arch   Version          Repository        Size
================================================================================
Installing:
 ipxe-roms-qemu                  noarch 20120328-1.gitaac9718.fc17
                                                         updates-testing  262 k
     replacing  gpxe-roms-qemu.noarch 1.0.1-6.fc17
 kernel                          x86_64 3.3.0-8.fc17     updates-testing   25 M
 kernel-devel                    x86_64 3.3.0-8.fc17     updates-testing  7.4 M
Updating:
 NetworkManager                  x86_64 1:0.9.4.0-1.git20120328.fc17
                                                         fedora           1.3 M
 NetworkManager-devel            x86_64 1:0.9.4.0-1.git20120328.fc17
                                                         fedora           317 k
 NetworkManager-glib             x86_64 1:0.9.4.0-1.git20120328.fc17
                                                         fedora           286 k
 NetworkManager-glib-devel       x86_64 1:0.9.4.0-1.git20120328.fc17
                                                         fedora           430 k
 NetworkManager-gnome            x86_64 1:0.9.4.0-1.git20120328.fc17
                                                         fedora           406 k
 NetworkManager-gtk              x86_64 1:0.9.4.0-1.git20120328.fc17
                                                         fedora           133 k
 abattis-cantarell-fonts         noarch 0.0.8-1.fc17     updates-testing   72 k
 accountsservice                 x86_64 0.6.17-1.fc17    updates-testing   73 k
 accountsservice-libs            x86_64 0.6.17-1.fc17    updates-testing   64 k
 adwaita-cursor-theme            noarch 3.4.0-1.fc17     updates-testing  121 k
 adwaita-gtk2-theme              x86_64 3.4.0-1.fc17     updates-testing   12 k
 adwaita-gtk3-theme              x86_64 3.4.0-1.fc17     updates-testing   63 k
 anaconda                        x86_64 17.16-1.fc17     fedora           2.5 M
 at-spi2-atk                     x86_64 2.4.0-1.fc17     updates-testing   90 k
 at-spi2-core                    x86_64 2.4.0-1.fc17     updates-testing  140 k
 atk                             x86_64 2.4.0-1.fc17     updates-testing  226 k
 atk-devel                       x86_64 2.4.0-1.fc17     updates-testing  143 k
 brasero                         x86_64 3.4.0-1.fc17     updates-testing  2.0 M
 brasero-libs                    x86_64 3.4.0-1.fc17     updates-testing  317 k
 brasero-nautilus                x86_64 3.4.0-1.fc17     updates-testing   27 k
 cheese                          x86_64 2:3.4.0-1.fc17   updates-testing  2.8 M
 cheese-libs                     x86_64 2:3.4.0-1.fc17   updates-testing  2.8 M
 clutter                         x86_64 1.10.0-2.fc17    updates-testing  858 k
 clutter-devel                   x86_64 1.10.0-2.fc17    updates-testing  440 k
 colord                          x86_64 0.1.18-2.fc17    updates-testing  194 k
 control-center                  x86_64 1:3.4.0-1.fc17   updates-testing  3.2 M
 control-center-filesystem       x86_64 1:3.4.0-1.fc17   updates-testing   54 k
 cups                            x86_64 1:1.5.2-10.fc17  updates-testing  2.1 M
 cups-devel                      x86_64 1:1.5.2-10.fc17  updates-testing  118 k
 cups-libs                       x86_64 1:1.5.2-10.fc17  updates-testing  355 k
 dconf                           x86_64 0.12.0-1.fc17    updates-testing   66 k
 devhelp                         x86_64 1:3.4.0-1.fc17   updates-testing  262 k
 device-mapper                   x86_64 1.02.74-6.fc17   updates-testing  152 k
 device-mapper-devel             x86_64 1.02.74-6.fc17   updates-testing  107 k
 device-mapper-event             x86_64 1.02.74-6.fc17   updates-testing  107 k
 device-mapper-event-devel       x86_64 1.02.74-6.fc17   updates-testing   94 k
 device-mapper-event-libs        x86_64 1.02.74-6.fc17   updates-testing  101 k
 device-mapper-libs              x86_64 1.02.74-6.fc17   updates-testing  179 k
 empathy                         x86_64 3.4.0-1.fc17     updates-testing  3.0 M
 eog                             x86_64 3.4.0-1.fc17     updates-testing  2.6 M
 epiphany                        x86_64 1:3.4.0.1-1.fc17 updates-testing  3.6 M
 evince                          x86_64 3.4.0-1.fc17     updates-testing  5.2 M
 evince-libs                     x86_64 3.4.0-1.fc17     updates-testing  269 k
 evince-nautilus                 x86_64 3.4.0-1.fc17     updates-testing   30 k
 fedora-release-notes            noarch 16.96.0-1.fc17   fedora           313 k
 file-roller                     x86_64 3.4.0-1.fc17     updates-testing  1.0 M
 file-roller-nautilus            x86_64 3.4.0-1.fc17     updates-testing   24 k
 gcalctool                       x86_64 6.4.0-1.fc17     updates-testing  780 k
 gcr                             x86_64 3.4.0-1.fc17     updates-testing  560 k
 gdm                             x86_64 1:3.4.0.1-1.fc17 updates-testing  1.1 M
 gedit                           x86_64 2:3.4.0-1.fc17   updates-testing  2.5 M
 gjs                             x86_64 1.32.0-1.fc17    updates-testing  195 k
 gjs-devel                       x86_64 1.32.0-1.fc17    updates-testing   43 k
 glib-networking                 x86_64 2.32.0-1.fc17    updates-testing  102 k
 glib2                           i686   2.32.0-1.fc17    updates-testing  1.9 M
 glib2                           x86_64 2.32.0-1.fc17    updates-testing  1.9 M
 glib2-devel                     x86_64 2.32.0-1.fc17    updates-testing  1.8 M
 gnome-backgrounds               noarch 3.4.0-1.fc17     updates-testing  8.5 M
 gnome-bluetooth                 x86_64 1:3.4.0-1.fc17   updates-testing   91 k
 gnome-bluetooth-libs            x86_64 1:3.4.0-1.fc17   updates-testing  677 k
 gnome-bluetooth-libs-devel      x86_64 1:3.4.0-1.fc17   updates-testing   45 k
 gnome-boxes                     x86_64 3.4.0-1.fc17     updates-testing  370 k
 gnome-color-manager             x86_64 3.4.0-1.fc17     updates-testing  1.4 M
 gnome-common                    noarch 3.4.0.1-1.fc17   updates-testing  127 k
 gnome-contacts                  x86_64 3.4.0-1.fc17     updates-testing  286 k
 gnome-desktop3                  x86_64 3.4.0-1.fc17     updates-testing  574 k
 gnome-doc-utils                 noarch 0.20.10-1.fc17   updates-testing  288 k
 gnome-doc-utils-stylesheets     noarch 0.20.10-1.fc17   updates-testing  152 k
 gnome-documents                 x86_64 0.4.0.1-1.fc17   updates-testing  233 k
 gnome-games                     x86_64 1:3.4.0-2.fc17   updates-testing  5.2 M
 gnome-icon-theme                noarch 3.4.0-1.fc17     updates-testing  9.0 M
 gnome-icon-theme-extras         noarch 3.4.0-1.fc17     updates-testing  788 k
 gnome-icon-theme-legacy         noarch 3.4.0-1.fc17     updates-testing  420 k
 gnome-icon-theme-symbolic       noarch 3.4.0-1.fc17     updates-testing  145 k
 gnome-keyring                   x86_64 3.4.0-1.fc17     updates-testing  809 k
 gnome-keyring-pam               x86_64 3.4.0-1.fc17     updates-testing   34 k
 gnome-media                     x86_64 3.4.0-1.fc17     updates-testing  471 k
 gnome-menus                     x86_64 3.4.0-1.fc17     updates-testing  191 k
 gnome-menus-devel               x86_64 3.4.0-1.fc17     updates-testing   18 k
 gnome-online-accounts           x86_64 3.4.0-1.fc17     updates-testing  223 k
 gnome-online-accounts-devel     x86_64 3.4.0-1.fc17     updates-testing  107 k
 gnome-packagekit                x86_64 3.4.0-1.fc17     updates-testing  3.9 M
 gnome-panel                     x86_64 3.4.0-1.fc17     updates-testing  1.9 M
 gnome-panel-libs                x86_64 3.4.0-1.fc17     updates-testing   71 k
 gnome-power-manager             x86_64 3.4.0-1.fc17     updates-testing  537 k
 gnome-screensaver               x86_64 3.4.0-1.fc17     updates-testing  294 k
 gnome-screenshot                x86_64 3.4.0-1.fc17     updates-testing  142 k
 gnome-session                   x86_64 3.4.0-1.fc17     updates-testing  415 k
 gnome-session-xsession          x86_64 3.4.0-1.fc17     updates-testing   33 k
 gnome-settings-daemon           x86_64 3.4.0-1.fc17     updates-testing  1.0 M
 gnome-shell                     x86_64 3.4.0-1.fc17     updates-testing  924 k
 gnome-system-monitor            x86_64 3.4.0-1.fc17     updates-testing  2.2 M
 gnome-terminal                  x86_64 3.4.0.1-1.fc17   updates-testing  1.7 M
 gnome-themes-standard           x86_64 3.4.0-1.fc17     updates-testing  4.1 M
 gnome-user-docs                 noarch 3.4.0-2.fc17     updates-testing  6.9 M
 gobject-introspection           x86_64 1.32.0-1.fc17    updates-testing  210 k
 gobject-introspection-devel     x86_64 1.32.0-1.fc17    updates-testing  992 k
 gsettings-desktop-schemas       x86_64 3.4.0-1.fc17     updates-testing  129 k
 gsettings-desktop-schemas-devel x86_64 3.4.0-1.fc17     updates-testing  9.7 k
 gtk3                            x86_64 3.4.0-1.fc17     updates-testing  2.9 M
 gtk3-devel                      x86_64 3.4.0-1.fc17     updates-testing  3.2 M
 gtk3-devel-docs                 x86_64 3.4.0-1.fc17     updates-testing  2.2 M
 gtk3-immodule-xim               x86_64 3.4.0-1.fc17     updates-testing   20 k
 gtksourceview3                  x86_64 3.4.0-1.fc17     updates-testing  785 k
 gucharmap                       x86_64 3.4.0.1-1.fc17   updates-testing  2.2 M
 gvfs                            x86_64 1.12.0-1.fc17    updates-testing  1.0 M
 gvfs-afc                        x86_64 1.12.0-1.fc17    updates-testing   87 k
 gvfs-archive                    x86_64 1.12.0-1.fc17    updates-testing   67 k
 gvfs-fuse                       x86_64 1.12.0-1.fc17    updates-testing   33 k
 gvfs-gphoto2                    x86_64 1.12.0-1.fc17    updates-testing   89 k
 gvfs-obexftp                    x86_64 1.12.0-1.fc17    updates-testing   72 k
 gvfs-smb                        x86_64 1.12.0-1.fc17    updates-testing   93 k
 jpackage-utils                  x86_64 1.7.5-17.fc17    updates-testing   69 k
 kernel-headers                  x86_64 3.3.0-8.fc17     updates-testing  816 k
 libchamplain                    x86_64 0.12.2-1.fc17    updates-testing  226 k
 libchamplain-gtk                x86_64 0.12.2-1.fc17    updates-testing   20 k
 libcroco                        x86_64 0.6.5-1.fc17     updates-testing   98 k
 libcroco-devel                  x86_64 0.6.5-1.fc17     updates-testing   86 k
 libgnome-keyring                x86_64 3.4.0-1.fc17     updates-testing   96 k
 libgnome-keyring-devel          x86_64 3.4.0-1.fc17     updates-testing   45 k
 libgnomekbd                     x86_64 3.4.0.2-1.fc17   updates-testing  156 k
 libnotify                       x86_64 0.7.5-1.fc17     updates-testing   36 k
 libpciaccess                    i686   0.13-2.fc17      updates-testing   25 k
 libpciaccess                    x86_64 0.13-2.fc17      updates-testing   23 k
 libpciaccess-devel              x86_64 0.13-2.fc17      updates-testing   12 k
 libpeas                         x86_64 1.4.0-1.fc17     updates-testing  108 k
 libquvi                         x86_64 0.4.1-1.fc17     updates-testing   34 k
 libquvi-scripts                 noarch 0.4.4-1.fc17     updates-testing   52 k
 librsvg2                        x86_64 2.36.0-1.fc17    updates-testing  125 k
 libsepol                        x86_64 2.1.5-1.fc17     updates-testing  139 k
 libsepol-devel                  x86_64 2.1.5-1.fc17     updates-testing   68 k
 libsoup                         x86_64 2.38.0-1.fc17    updates-testing  219 k
 libsoup-devel                   x86_64 2.38.0-1.fc17    updates-testing  237 k
 libvirt                         x86_64 0.9.10-2.fc17.1  updates-testing  2.3 M
 libvirt-client                  x86_64 0.9.10-2.fc17.1  updates-testing  3.2 M
 libvirt-python                  x86_64 0.9.10-2.fc17.1  updates-testing  304 k
 libwacom                        x86_64 0.4-1.fc17       updates-testing   15 k
 libwacom-data                   noarch 0.4-1.fc17       updates-testing   15 k
 libwacom-devel                  x86_64 0.4-1.fc17       updates-testing  9.4 k
 libwnck3                        x86_64 3.4.0-1.fc17     updates-testing  353 k
 lvm2                            x86_64 2.02.95-6.fc17   updates-testing  608 k
 lvm2-libs                       x86_64 2.02.95-6.fc17   updates-testing  512 k
 mesa-dri-drivers                i686   8.0.1-9.fc17     fedora            12 M
 mesa-dri-drivers                x86_64 8.0.1-9.fc17     fedora            11 M
 mesa-dri-filesystem             i686   8.0.1-9.fc17     fedora            23 k
 mesa-dri-filesystem             x86_64 8.0.1-9.fc17     fedora            23 k
 mesa-libGL                      i686   8.0.1-9.fc17     fedora           147 k
 mesa-libGL                      x86_64 8.0.1-9.fc17     fedora           147 k
 mesa-libGL-devel                x86_64 8.0.1-9.fc17     fedora           472 k
 mesa-libGLES                    i686   8.0.1-9.fc17     fedora            39 k
 mesa-libGLES                    x86_64 8.0.1-9.fc17     fedora            39 k
 mesa-libGLU                     i686   8.0.1-9.fc17     fedora           185 k
 mesa-libGLU                     x86_64 8.0.1-9.fc17     fedora           179 k
 mesa-libGLU-devel               x86_64 8.0.1-9.fc17     fedora            90 k
 mousetweaks                     x86_64 3.4.0-1.fc17     updates-testing  1.8 M
 mutter                          x86_64 3.4.0-1.fc17     updates-testing  1.0 M
 mutter-devel                    x86_64 3.4.0-1.fc17     updates-testing   51 k
 nautilus                        x86_64 3.4.0-1.fc17     updates-testing  2.6 M
 nautilus-devel                  x86_64 3.4.0-1.fc17     updates-testing   78 k
 nautilus-extensions             x86_64 3.4.0-1.fc17     updates-testing   60 k
 notification-daemon             x86_64 0.7.4-1.fc17     updates-testing   68 k
 orca                            x86_64 3.4.0-1.fc17     updates-testing  3.9 M
 os-prober                       x86_64 1.51-1.fc17      updates-testing   32 k
 p11-kit                         i686   0.12-1.fc17      updates-testing   36 k
 p11-kit                         x86_64 0.12-1.fc17      updates-testing   36 k
 p11-kit-devel                   x86_64 0.12-1.fc17      updates-testing   44 k
 pango                           i686   1.30.0-1.fc17    updates-testing  371 k
 pango                           x86_64 1.30.0-1.fc17    updates-testing  367 k
 pango-devel                     x86_64 1.30.0-1.fc17    updates-testing  297 k
 phonon                          x86_64 4.6.0-3.fc17     updates-testing  187 k
 pyatspi                         noarch 2.4.0-1.fc17     updates-testing   70 k
 pygobject3                      x86_64 3.2.0-1.fc17     updates-testing  254 k
 python-iwlib                    x86_64 1.2-1.fc17       updates-testing   15 k
 qemu                            x86_64 2:1.0-10.fc17    updates-testing   29 k
 qemu-common                     x86_64 2:1.0-10.fc17    updates-testing  319 k
 qemu-img                        x86_64 2:1.0-10.fc17    updates-testing  233 k
 qemu-kvm                        x86_64 2:1.0-10.fc17    updates-testing   28 k
 qemu-system-arm                 x86_64 2:1.0-10.fc17    updates-testing  1.2 M
 qemu-system-cris                x86_64 2:1.0-10.fc17    updates-testing  751 k
 qemu-system-m68k                x86_64 2:1.0-10.fc17    updates-testing  922 k
 qemu-system-mips                x86_64 2:1.0-10.fc17    updates-testing  4.3 M
 qemu-system-sh4                 x86_64 2:1.0-10.fc17    updates-testing  1.7 M
 qemu-system-x86                 x86_64 2:1.0-10.fc17    updates-testing  3.4 M
 qemu-user                       x86_64 2:1.0-10.fc17    updates-testing  2.3 M
 rp-pppoe                        x86_64 3.10-12.fc17     updates-testing  103 k
 seahorse                        x86_64 3.4.0-1.fc17     updates-testing  1.5 M
 setroubleshoot-plugins          noarch 3.0.36-1.fc17    updates-testing  461 k
 simple-scan                     x86_64 3.4.0-1.fc17     updates-testing  214 k
 sound-juicer                    x86_64 3.4.0-1.fc17     updates-testing  1.6 M
 sushi                           x86_64 0.4.0-1.fc17     updates-testing   79 k
 thunderbird                     x86_64 11.0.1-1.fc17    updates-testing   34 M
 totem                           x86_64 1:3.4.0-1.fc17   updates-testing  2.4 M
 totem-mozplugin                 x86_64 1:3.4.0-1.fc17   updates-testing  187 k
 totem-nautilus                  x86_64 1:3.4.0-1.fc17   updates-testing   96 k
 totem-pl-parser                 x86_64 3.4.0-1.fc17     updates-testing  185 k
 vala                            x86_64 0.15.2-2.fc17    updates-testing  2.2 M
 vala-devel                      x86_64 0.15.2-2.fc17    updates-testing   67 k
 vala-tools                      x86_64 0.15.2-2.fc17    updates-testing  116 k
 vinagre                         x86_64 3.4.0-2.fc17     updates-testing  2.3 M
 vino                            x86_64 3.4.0-1.fc17     updates-testing  433 k
 webkitgtk                       x86_64 1.8.0-1.fc17     updates-testing  8.1 M
 webkitgtk3                      x86_64 1.8.0-1.fc17     updates-testing  8.1 M
 webkitgtk3-devel                x86_64 1.8.0-1.fc17     updates-testing  317 k
 xorg-x11-drv-ati                x86_64 6.14.3-12.20120206git36c190671.fc17
                                                         updates-testing  372 k
 xorg-x11-drv-evdev              x86_64 2.7.0-2.fc17     fedora            40 k
 yelp                            x86_64 1:3.4.0-1.fc17   updates-testing  413 k
 yelp-devel                      x86_64 1:3.4.0-1.fc17   updates-testing   50 k
 yelp-libs                       x86_64 1:3.4.0-1.fc17   updates-testing  105 k
 yelp-tools                      noarch 3.4.0-1.fc17     updates-testing   28 k
 yelp-xsl                        noarch 3.4.0-1.fc17     updates-testing  292 k
 yelp-xsl-devel                  noarch 3.4.0-1.fc17     updates-testing  5.7 k
 yum-presto                      noarch 0.7.3-1.fc17     updates-testing   34 k
 zenity                          x86_64 3.4.0-1.fc17     updates-testing  3.3 M
Removing:
 kernel                          x86_64 3.3.0-0.rc7.git0.3.fc17
                                                         @updates-testing 119 M
 kernel-devel                    x86_64 3.3.0-0.rc7.git0.3.fc17
                                                         @updates-testing  28 M
Installing for dependencies:
 argyllcms                       x86_64 1.3.6-2.fc17     updates-testing  1.1 M
 mesa-libglapi                   i686   8.0.1-9.fc17     fedora            48 k
 mesa-libglapi                   x86_64 8.0.1-9.fc17     fedora            49 k

Transaction Summary
================================================================================
Install    3 Packages (+3 Dependent packages)
Upgrade  213 Packages
Remove     2 Packages

Total download size: 279 M
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
updates-testing/prestodelta                              | 655 kB     00:01     
Processing delta metadata
Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 229, in main
    return_code = base.doTransaction()
  File "/usr/share/yum-cli/cli.py", line 547, in doTransaction
    problems = self.downloadPkgs(downloadpkgs, callback_total=self.download_callback_total_cb) 
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2147, in downloadPkgs
    self.plugins.run('predownload', pkglist=pkglist)
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/presto.py", line 633, in predownload_hook
    (problems, more) = downloadPkgs(conduit, pinfo, download_pkgs)
  File "/usr/lib/yum-plugins/presto.py", line 321, in downloadPkgs
    delta = getDelta(po, presto, conduit, conf_mp)
  File "/usr/lib/yum-plugins/presto.py", line 198, in getDelta
    conduit.info(5, -("Could not find delta rpm for package %s.%s.")
TypeError: bad operand type for unary -: 'str'
Comment 1 Jonathan Dieter 2012-04-01 07:00:51 EDT
This is a duplicate of bug 808130.

To update the buggy yum-presto, run
yum --disablepresto update yum-presto

*** This bug has been marked as a duplicate of bug 808130 ***

Note You need to log in before you can comment on or make changes to this bug.